Bug 172947 - Glib libgmodule-1.2.so.0.0.10 not executable nor stripped
Summary: Glib libgmodule-1.2.so.0.0.10 not executable nor stripped
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: glib (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Matthias Clasen
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-11-11 15:30 UTC by Matthias Saou
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-11-21 18:32:36 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Matthias Saou 2005-11-11 15:30:15 UTC
I just saw in the current devel glib package (1.2.10-17), that of the 3 included
libraries, one of them, libgmodule-1.2.so.0.0.10, isn't +x and so doesn't get
stripped with the symbols moved to the debuginfo package.

A quick look at the spec file doesn't show anything that indicates that this
could be a desired behavior... so I'm guessing it's a (very minor) bug.

Note that the same applies to the glib package I have installed on FC4.

The solution is certainly to look at the source to see why/how that happens, but
a quick workaround would be to chmod +x the libraries in the %install section of
the spec file.


Note You need to log in before you can comment on or make changes to this bug.